<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>ClipboardFormats (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClipboardFormats (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardReader.html" title="interface in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html" target="_top">Frames</a></li>
<li><a href="ClipboardFormats.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.clipboard.io</div>
<h2 title="Class ClipboardFormats" class="title">Class ClipboardFormats</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extent.clipboard.io.ClipboardFormats</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClipboardFormats</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html#findByAlias-java.lang.String-">findByAlias</a></span>(java.lang.String&nbsp;alias)</code>
<div class="block">Find the clipboard format named by the given alias.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html#findByFile-java.io.File-">findByFile</a></span>(java.io.File&nbsp;file)</code>
<div class="block">Detect the format of given a file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.util.Collection&lt;<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html#getAll--">getAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html#getFileExtensionArray--">getFileExtensionArray</a></span>()</code>
<div class="block">Not public API, only used by SchematicCommands.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static com.google.common.collect.Multimap&lt;java.lang.String,<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html#getFileExtensionMap--">getFileExtensionMap</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html#registerClipboardFormat-com.sk89q.worldedit.extent.clipboard.io.ClipboardFormat-">registerClipboardFormat</a></span>(<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&nbsp;format)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="registerClipboardFormat-com.sk89q.worldedit.extent.clipboard.io.ClipboardFormat-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerClipboardFormat</h4>
<pre>public static&nbsp;void&nbsp;registerClipboardFormat(<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&nbsp;format)</pre>
</li>
</ul>
<a name="findByAlias-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByAlias</h4>
<pre>@Nullable
public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&nbsp;findByAlias(java.lang.String&nbsp;alias)</pre>
<div class="block">Find the clipboard format named by the given alias.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>alias</code> - the alias</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the format, otherwise null if none is matched</dd>
</dl>
</li>
</ul>
<a name="findByFile-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByFile</h4>
<pre>@Nullable
public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&nbsp;findByFile(java.io.File&nbsp;file)</pre>
<div class="block">Detect the format of given a file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the format, otherwise null if one cannot be detected</dd>
</dl>
</li>
</ul>
<a name="getFileExtensionMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileExtensionMap</h4>
<pre>public static&nbsp;com.google.common.collect.Multimap&lt;java.lang.String,<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&gt;&nbsp;getFileExtensionMap()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a multimap from a file extension to the potential matching formats.</dd>
</dl>
</li>
</ul>
<a name="getAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>public static&nbsp;java.util.Collection&lt;<a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io">ClipboardFormat</a>&gt;&nbsp;getAll()</pre>
</li>
</ul>
<a name="getFileExtensionArray--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFileExtensionArray</h4>
<pre>public static&nbsp;java.lang.String[]&nbsp;getFileExtensionArray()</pre>
<div class="block">Not public API, only used by SchematicCommands.
 It is not in SchematicCommands because it may rely on internal register calls.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardFormat.html" title="interface in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/extent/clipboard/io/ClipboardReader.html" title="interface in com.sk89q.worldedit.extent.clipboard.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/extent/clipboard/io/ClipboardFormats.html" target="_top">Frames</a></li>
<li><a href="ClipboardFormats.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
